<?php
// usage: lmstat
//         [-a]                  (display everything)
//         [-c license_file]     (use "license_file" as license file)
//         [-f [feature_name]]   (list usage info about specified (or all) feature(s))
//         [-i [feature_name]]   (list info about specified (or all) feature(s) from
//                                the increment line in the license file)
//         [-S [DAEMON]]         (display all users of DAEMONs licenses)
//         [-s [server_name]]    (display status of all license files on server node(s))
//         [-t timeout_value]    (set connection timeout to "timeout_value")
//         [-v]                  (display FLEXlm version, revision, and patch)
//         [-old]                (allow communications with an old server that
//                                uses communications version 1.2 or earlier)
//         [-help]               (prints this message)

function get_lmstat($server, $port) {
	include "flexlm_poller_config.php";
	// $lmstat = $lmutil . " lmstat -a -c " . $port . "@". $server;
	$filehandle = popen($lmstat, "r");
	$hugearray = array();

	while ( !feof($filehandle) ) {
		# $buffer = trim( fgets($filehandle, 4096) );
		$buffer = trim( fgets($filehandle, 4096) );
		if ( ($buffer == "\n") || ($buffer == "") ){
			continue;
		}
		$hugearray[] = $buffer;
	}
	pclose($filehandle);
	return $hugearray;
}

?>